#include "OpeTool_Test.h"
#include "../src/OpeTool.h"
#include "SctData/RawScanResult.h"
#include "Sct/Archive/IOManagerArchiveFile.h"

using boost::unit_test_framework::test_suite;
using namespace Sct;
using namespace Sct::Archive;
using namespace SctData;

namespace SctAnalysis{

  void testOpeTool(){
    shared_ptr<const Serializable> ob = IOManagerArchiveFile::instance().read("./SctData::RawScanResult.1804.20.20220040200007.gz");
    shared_ptr<const RawScanResult> raw = boost::dynamic_pointer_cast<const RawScanResult>(ob);
    OpeTool myOpeTool;
    myOpeTool.analyzeModule(*raw);
  }
  
  OpeTool_Test::OpeTool_Test() {
    add(BOOST_TEST_CASE(&testOpeTool));
  }
}
