#include "SequenceLibraryImpl.h"
#include "CalibrationControllerImpl.h"
#include "scripts/CharacterizationSequence.h"

#include <iostream>

using namespace std;

namespace SctCalibrationController {
using namespace Scripts;    
    
SequenceLibraryImpl::SequenceLibraryImpl() {
    cout << "Create sequence library" << endl;
}

SequenceLibraryImpl::~SequenceLibraryImpl() {
    cout << "Destroy sequence library" << endl;
}

Sct_CalibrationController::SequenceLibrary_ptr SequenceLibraryImpl::instance() {
    static SequenceLibraryImpl instance;
    return instance._this();
}

Sct_CalibrationController::SequenceRequest_ptr SequenceLibraryImpl::characterizationSequence() {
    cout << "create characterization sequence" << endl;
    return CharacterizationSequence::instance();
}

    
}
