#ifndef SCT_CALIBRATIONCONTROL_TXCURRENTCONFIGUPDATER_H
#define SCT_CALIBRATIONCONTROL_TXCURRENTCONFIGUPDATER_H

#include "ConfigUpdater.h"

namespace SctCalibrationController {

class TxCurrentConfigUpdater : public ConfigUpdater{
private:
  static void updateUsing(const int threshold,
                          const unsigned int linkNumber,
                          Sct_SctApi::SctApiIPC_ptr api,
                          const unsigned long mid,
                          const std::string & name);
  static void complainIf(const int threshold,
                         const unsigned int linkNumber,
                         const unsigned long mid,
                         const std::string & name,
                         const int otherMin,
                         const int otherMax);
public:
    virtual void update(const SctData::TestResult& t, Sct_SctApi::SctApiIPC_ptr api) const;

private:
    TxCurrentConfigUpdater() {;}
    static bool inMap;
};
}

#endif //SCT_CALIBRATIONCONTROL_TXCURRENTCONFIGUPDATER_H
