#ifndef SCANLIBRARY_H
#define SCANLIBRARY_H

#include "CalibrationController.hh"
#include "ScanRequest.h"
#include <boost/utility.hpp>
#include <ipc/object.h>

namespace SctCalibrationController {
namespace Ipc {
    
class ScanLibrary : 
  public IPCObject<POA_Sct_CalibrationController::ScanLibrary>,
  boost::noncopyable {
public:
  //virtual Sct_CalibrationController::ScanRequest_ptr thresholdScan (/*Sct_CalibrationControllerStatus *_status, */CORBA::ULong nTrigs);
//virtual Sct_CalibrationController::ScanRequest_ptr thresholdScanfC (/*Sct_CalibrationControllerStatus *_status, */CORBA::ULong nTrigs, CORBA::Double calCharge);
  //virtual Sct_CalibrationController::ScanRequest_ptr strobeDelayScan (/*Sct_CalibrationControllerStatus *_status, */CORBA::ULong nTrigs);
  //virtual Sct_CalibrationController::ScanRequest_ptr nmaskScan (/*Sct_CalibrationControllerStatus *_status, */CORBA::ULong nTrigs);
  //virtual Sct_CalibrationController::ScanRequest_ptr tokenScan (/*Sct_CalibrationControllerStatus *_status*/);
  
  //virtual Sct_CalibrationController::ScanRequest_ptr defaultScan (/*Sct_CalibrationControllerStatus *_status*/);

  //virtual Sct_CalibrationController::ScanRequest_ptr rawScan (/*Sct_CalibrationControllerStatus *_status, */unsigned long nTrigs, CORBA::Boolean issueSoftReset);


  /*
  // Nice int
  virtual ScanRequestImpl& thresholdScan(unsigned long nTrigs) const = 0;
  virtual ScanRequestImpl& thresholdScanfC(unsigned long nTrigs, double calCharge) const = 0;    
  virtual ScanRequestImpl& thresholdScanfCOffset(unsigned long nTrigs, double calCharge, double offset) const = 0;
  virtual ScanRequestImpl& noiseOccupancyScan() const = 0;
  virtual ScanRequestImpl& strobeDelayScan(unsigned long nTrigs) const = 0;
  virtual ScanRequestImpl& nmaskScan(unsigned long nTrigs) const = 0;    
  virtual ScanRequestImpl& tokenScan() const = 0;
  virtual ScanRequestImpl& defaultScan() const = 0;
  virtual ScanRequestImpl& rawScan(unsigned long nTrigs) const = 0;
  virtual ScanRequestImpl& rawScan(unsigned long nTrigs, bool issueSoftReset=false) const = 0;
  */
protected:
    ScanLibrary();
};    
}
}
#endif //SCANLIBRARY_H
