
#include "NameOrRegexp.h"

#include "owl/regexp.h"

namespace Sct {

  bool NameOrRegexp::matchesSomethingCalled(const std::string & name) const {
    if (m_is_regexp) {
      OWLRegexp re(m_nameOrRegexp); // It is a bit wasteful to remake the re each time.  Could improve this!
      return re.exact_match(name);
    } else {
      return m_nameOrRegexp == name ;
    };
  };

};
