SI = GuiComponents.System.SystemInterface.getInstance();
api = SI.getSctApi();
cal = SI.getCalibrationController();
scanRequest = cal.getScanLibrary().rawScan(10);
scan = scanRequest.getScan();

trigger = scan.getTrigger1();
trigger.singleL1A();

// Clock-by-2
api.modifyABCDVar(sdesc.valueFor("ST_FEEDTHROUGH"), 0.0);

sdesc = Sct.ScanDescriptors.getInstance();
api.modifyABCDVar(sdesc.valueFor("SCT_SCAN_BOC_VRN_FINE"), 127.0);

scan.configure((short)sdesc.valueFor("SCT_SCAN_BOC_V_PHASES"), 0, 48, 1.0);

scanRequest.setClockByTwo(true);
scanRequest.setWidth(100);
cal.doScan(scanRequest);

//  ************** Analysis of previous result! ************

// Analysis feedback
api.modifyABCDVar(sdesc.valueFor("SCT_SCAN_BOC_V_PHASES"), 24.0);

// Fine scan
scan.configure((short)sdesc.valueFor("SCT_SCAN_BOC_VRN_FINE"), 0, 255, 1.0);
cal.doScan(scanRequest);
