# A scan of injection charges 
SI = GuiComponents.System.SystemInterface.getInstance();
api = SI.getSctApi();
cal = SI.getCalibrationController();
scanRequest = cal.getScanLibrary().defaultScan();
scan = scanRequest.getScan();

sdesc = Sct.ScanDescriptors.getInstance();
api.modifyABCDVar(sdesc.valueFor("ST_QTHR"), 1.0);

scan.setNTrigs(1000);
scan.setOption(Sct_SctApi.Scan.ScanOptions.loopCalLine, 1);

trigger = scan.getTrigger1();
trigger.calL1A(0x82);

scan.configure((short)sdesc.valueFor("ST_QCAL"), 0.5, 5.0, 0.5);

cal.doScan(scanRequest);
